bitel.billing.server.ipn.bean

## Class IPNResourceManager

- java.lang.Object
- - bitel.billing.server.admin.resource.bean.ResourceManager<bitel.billing.server.admin.resource.bean.ip.IPResourceRange>
  - - bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager
    - - bitel.billing.server.ipn.bean.IPNResourceManager

-     public class IPNResourceManager
      extends bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IPNResourceManager.NumberChange`

  - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

      `con, mid, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPNResourceManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkResourceOutRange(int resourceId, java.util.Calendar date1, java.util.Calendar date2)`
    `void` | `closeResourceUse(int cid, java.util.Date date)`
    `void` | `freeResources(int cid)`
    `java.lang.Iterable<bitel.billing.server.admin.resource.bean.ip.IPResourceRange>` | `getBusyResourceIterator(int categoryId, java.util.Calendar date, long ip1, long ip2, boolean mask)`
    `java.lang.Iterable<bitel.billing.server.admin.resource.bean.ip.IPResourceRange>` | `getFreeResourceIterator(int categoryId, java.util.Calendar onDate)`
    `java.util.List<bitel.billing.server.admin.resource.bean.ip.IPResourceRangeUse>` | `getResourceUse(int resourceId, int itemId, long ip1, long ip2)`
    `int` | `resourceAnalize(AddressRange addressOld, AddressRange address)`
    `int` | `resourceAnalize(AddressRange addressOld, AddressRange address, java.util.Map<java.lang.String,IPNResourceManager.NumberChange> numberMap)` Deprecated. Использовать resourceAnalize( AddressRange addressOld, AddressRange address )
    `void` | `syncResourceUse()`
    `boolean` | `wasResourceUsed(java.lang.String resourceId)`

    - ### Methods inherited from class bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager

      `addFilters, addResources, checkResource, deleteResource, getResource, getResourceFromRs, getResourceIterator, getResourceList, getResourceListByIds, getResourceUseFromRs, getTableName, installModule, uninstallModule, updateResource, updateResourcePeriod`

    - ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

      `changeResourceCategory, getResourceCount, loadStandartResourceFromRs, newResourceManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPNResourceManager

          public IPNResourceManager(java.sql.Connection con,
                                    int mid)

  - ### Method Detail

    - #### getResourceUse

          public java.util.List<bitel.billing.server.admin.resource.bean.ip.IPResourceRangeUse> getResourceUse(int resourceId,
                                                                                                               int itemId,
                                                                                                               long ip1,
                                                                                                               long ip2)

    - #### getBusyResourceIterator

          public java.lang.Iterable<bitel.billing.server.admin.resource.bean.ip.IPResourceRange> getBusyResourceIterator(int categoryId,
                                                                                                                         java.util.Calendar date,
                                                                                                                         long ip1,
                                                                                                                         long ip2,
                                                                                                                         boolean mask)

    - #### getFreeResourceIterator

          public java.lang.Iterable<bitel.billing.server.admin.resource.bean.ip.IPResourceRange> getFreeResourceIterator(int categoryId,
                                                                                                                         java.util.Calendar onDate)
                                                                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkResourceOutRange

          public boolean checkResourceOutRange(int resourceId,
                                               java.util.Calendar date1,
                                               java.util.Calendar date2)

    - #### wasResourceUsed

          public boolean wasResourceUsed(java.lang.String resourceId)

    - #### resourceAnalize

          @Deprecated
          public int resourceAnalize(AddressRange addressOld,
                                                 AddressRange address,
                                                 java.util.Map<java.lang.String,IPNResourceManager.NumberChange> numberMap)
                                          throws ru.bitel.bgbilling.common.BGException,
                                                 ru.bitel.bgbilling.common.BGException

      Deprecated. Использовать resourceAnalize( AddressRange addressOld, AddressRange address )
      Parameters:
        `addressOld` -
        `address` -
        `numberMap` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGException`

    - #### resourceAnalize

          public int resourceAnalize(AddressRange addressOld,
                                     AddressRange address)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### freeResources

          public void freeResources(int cid)

    - #### closeResourceUse

          public void closeResourceUse(int cid,
                                       java.util.Date date)

    - #### syncResourceUse

          public void syncResourceUse()
                               throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `syncResourceUse` in class `ResourceManager<bitel.billing.server.admin.resource.bean.ip.IPResourceRange>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`